<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Swindon\FilamentHashids\Traits\HasHashid;

class MediaMonitoringTheme extends Model
{
    use HasFactory, HasHashid;

    protected $table = 'media_monitoring_theme';

    protected $guarded = ['id'];

    protected function casts(): array
    {
        return [
            'media_monitoring_id' => 'integer',
            'theme_id' => 'integer',
        ];
    }

    public function mediaMonitoring(): BelongsTo
    {
        return $this->belongsTo(MediaMonitoring::class);
    }

    public function theme(): BelongsTo
    {
        return $this->belongsTo(Theme::class);
    }
}
